
/*! \mainpage Home
 *
 * The <b>F</b>light<b>G</b>ear <b>M</b>ulti<b>P</b>layer Server (\ref fgms) 
 * is a standalone network server that powers the \ref FlightGear \ref mp_network.
 * It allows flying with other pilots over a network inside \ref fgfs.
 * 
 * <table class="screenshots">
 * <tr>
 * <td><img src="MP_01.jpg"  class="gallery" height="100" title="Credit: robitabu"></td>
 * <td><img src="flightgear-9.jpg"  class="gallery" height="100" title="Credit: http://flightgear.en.softonic.com/images-videos"></td>
 * <td><img src="Screenshot_7.jpg"  class="gallery" height="100" title="Credit: hellcat http://www.flightgear.org/forums/viewtopic.php?f=19&t=9022&start=30"></td>
 * <td><img src="fg-mp-1.png"  class="gallery" height="100" title="Credit: Pigeon  http://pigeond.net/photos/flightgear/multiplay/14"></td>
 * </tr>
 * </table>
 * \note 
 *     <b>NOTAM: Attention all Pilots</b><br>
 *     This site is to do with the server project itself, its development, installation, code, etc.<br>
 *     For flying please visit the link below on the \ref FlightGear wiki
 * 	   * <b>How To Multiplayer</b> > http://wiki.flightgear.org/Howto:Multiplayer
 * 
 * 
 * 
 * \section main_toc Contents
 * 
 * * \ref overview
 *  -  \ref mp_network
 *  -  \ref hosting
 * * \ref install_guide
 * * \ref fgms_conf
 * * \ref fgms
 * * \ref tracker
 * * \ref FlightGear
 * * \ref developers_guide
 *  - \ref todo and \ref TODO
 *  - \ref deprecated
 * * \ref source_docs
 * * \ref developers
 * 
 *  \subsection lic_shot Licence
 *    - GNU GENERAL PUBLIC LICENSE
 *    - see \ref COPYING
 * 
 */



/////////////////////////////////////////////////////////////////////////////////////
/*! 
 * \page source_docs Source Docs
 * 
 * The follwing link to docs in the source.
 * \section fgms_c fgms
 * * \subpage INSTALL
 * * \subpage README_cmake
 * * \subpage COPYING
 * * \subpage AUTHORS
 * * \subpage fgms_example_conf
 * * \subpage ChangeLog
 * * \subpage TODO
 * 
 * \section CC_donfig Confguration
 * * \subpage fgms_prod_skel_conf
 * * \subpage fgms_local_skel_conf
 * * \subpage fgms_init_d
 * * \subpage supervisor_conf
 * 
 * \section tracker_c Tracker Server
 * * \subpage README_tracker
 * * \subpage create_db_sql
 * 
 * \section tracker_c Tracker Server
 * * \subpage README_tracker
 * * \subpage create_db_sql
 * 
 * 
 * \page INSTALL INSTALL
 *  \include ./INSTALL
 * 
 * \page README_cmake README.cmake
 *  \include ./README.cmake
 * 
 * \page AUTHORS AUTHORS
 *  \include ./AUTHORS
 * 
 * \page COPYING COPYING
 *  \include ./COPYING
 * 
 * \page TODO TODO
 *  \include ./TODO
 * 
 * 
 * \page ChangeLog ChangeLog
 *  \include ./ChangeLog
 * 
 * \page README_tracker README.tracker
 *  \include ./contrib/fgtracker/README.tracker
 * 
 * \page create_db_sql create_db.sql
 *  \include ./contrib/fgtracker/create_db.sql
 * 
 * 
 * 
 * 
 * \page fgms_prod_skel_conf fgms_production.skel.conf
 *  \include ./contrib/etc/fgms_production.skel.conf
 * 
 * \page fgms_local_skel_conf fgms_local.skel.conf
 *  \include ./contrib/etc/fgms_local.skel.conf
 * 
 * \page fgms_init_d init_d.fgms-skel
 *  \include ./contrib/etc/init_d.fgms-skel
 * 
 * \page supervisor_conf supervisor.fgms.conf
 *  \include ./contrib/etc/supervisor.fgms.conf
 * 
 * 
 * 
 */






